For the complete documentation index, see llms.txt.
/callback/Webhooks
Webhooks (callbacks) are event driven executions of code to send data from one application to another. For example, a webhook is a push notification from an email server sent to your phone.
Tracking
Retrieve tracking details and delivery updates for shipped orders.
2 related endpoints
Endpoint
Endpoint URL
https://www.your-store.com/callback/
Details
What is a webhook?
Webhooks (callbacks) are event driven executions of code to send data from one application to another. For example, a webhook is a push notification from an email server sent to your phone.
How it works
Starshipit can send webhook requests when we receive tracking updates from your couriers for your orders. You can specify a notification endpoint URL were Starshipit will send these requests.
Use the notification endpoint URL to receive our webhook data and trigger a certain event in your own application. For example, send an order update email to your customer or update the order status in your database when ‘OutForDelivery’ tracking status is received.
The notification endpoint URL needs to be built to accept the POST request that returns HTTP 200 OK response and the URL can be set in Settings > Customer Notifications.
Webhook JSON data definitions
Tracking Statuses
- Printed
- Dispatched
- InTransit
- OutForDelivery
- Delivered
- PickupInStore
- AttemptedDelivery
- Exception
- AwaitingCollection
- Cancelled
Request body
{
"order_number": "5567476",
"carrier_name": "Australia Post",
"carrier_service": "7B05",
"shipment_date": "2018-08-09T02:55:37.1446912Z",
"tracking_number": "QQQ001737901000931501",
"tracking_status": "Dispatched",
"last_updated_date": "2018-08-09T02:56:07.3453198Z"
}